Update quota limit request status
curl --request PATCH \
--url https://api.gcore.com/cloud/reseller/v1/limits_request/{request_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": 123
}
'import requests
url = "https://api.gcore.com/cloud/reseller/v1/limits_request/{request_id}"
payload = { "client_id": 123 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: 123})
};
fetch('https://api.gcore.com/cloud/reseller/v1/limits_request/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": 1,
"created_at": "2019-07-26T13:25:03Z",
"description": "Scale up mysql cluster",
"id": 1,
"requested_limits": {
"global_limits": {
"inference_cpu_millicore_count_limit": 0,
"inference_gpu_a100_count_limit": 0,
"inference_gpu_h100_count_limit": 0,
"inference_gpu_l40s_count_limit": 0,
"inference_instance_count_limit": 0,
"inference_public_model_api_key_count_limit": 0,
"keypair_count_limit": 100,
"project_count_limit": 2
},
"regional_limits": [
{
"baremetal_basic_count_limit": 0,
"baremetal_gpu_a100_count_limit": 0,
"baremetal_gpu_count_limit": 0,
"baremetal_gpu_h100_count_limit": 0,
"baremetal_gpu_h200_count_limit": 0,
"baremetal_gpu_l40s_count_limit": 0,
"baremetal_hf_count_limit": 0,
"baremetal_infrastructure_count_limit": 0,
"baremetal_network_count_limit": 0,
"baremetal_storage_count_limit": 0,
"caas_container_count_limit": 0,
"caas_cpu_count_limit": 0,
"caas_gpu_count_limit": 0,
"caas_ram_size_limit": 0,
"cluster_count_limit": 0,
"cpu_count_limit": 0,
"dbaas_postgres_cluster_count_limit": 0,
"external_ip_count_limit": 0,
"faas_cpu_count_limit": 0,
"faas_function_count_limit": 0,
"faas_namespace_count_limit": 0,
"faas_ram_size_limit": 0,
"firewall_count_limit": 0,
"floating_count_limit": 0,
"gpu_count_limit": 0,
"gpu_virtual_a100_count_limit": 0,
"gpu_virtual_h100_count_limit": 0,
"gpu_virtual_h200_count_limit": 0,
"gpu_virtual_l40s_count_limit": 0,
"image_count_limit": 0,
"image_size_limit": 0,
"ipu_count_limit": 0,
"laas_topic_count_limit": 0,
"loadbalancer_count_limit": 0,
"network_count_limit": 0,
"ram_limit": 0,
"region_id": 1,
"registry_count_limit": 0,
"registry_storage_limit": 0,
"router_count_limit": 0,
"secret_count_limit": 0,
"servergroup_count_limit": 0,
"sfs_count_limit": 0,
"sfs_size_limit": 0,
"shared_vm_count_limit": 0,
"snapshot_schedule_count_limit": 0,
"subnet_count_limit": 0,
"vm_count_limit": 0,
"volume_count_limit": 0,
"volume_size_limit": 0,
"volume_snapshots_count_limit": 0,
"volume_snapshots_size_limit": 0
}
]
},
"status": "in progress",
"updated_at": "2019-07-26T13:25:03Z"
}Quotas
Update quota limit request status
Approve or reject a quota limit request from your reseller client. When approved, the new quotas are automatically applied to the client account. When rejected, the client receives a notification email.
PATCH
/
cloud
/
reseller
/
v1
/
limits_request
/
{request_id}
Update quota limit request status
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
LimitRequest ID
Example:
3
Body
application/json
Response
200 - application/json
OK
Client ID
Example:
1
Datetime when the request was created.
Example:
"2019-07-26T13:25:03Z"
Describe the reason, in general terms.
Example:
"Scale up mysql cluster"
Request ID
Example:
1
Requested limits.
Show child attributes
Show child attributes
Request status
Example:
"in progress"
Datetime when the request was updated.
Example:
"2019-07-26T13:25:03Z"
Was this page helpful?
⌘I